export class Action {
  constructor(name) {
    this.name = name;
  }

  async log(src, dest, msg, obj, symbol = '->>') {
    await window?.scene?.sequence?.log(
      `${src.name} ${symbol} ${dest.name} : ${this.name} ${msg ?? ''} ${
        JSON.stringify(obj) ?? ''
      }`,
    );
  }
}
